cdac.medinfo.model

## Class FunctionalStatus

- java.lang.Object
- - cdac.medinfo.model.FunctionalStatus

-     public class FunctionalStatus
      extends java.lang.Object

  This class specify Functional Status Section Details. Functional Status describes the patient's status of normal functioning at the time the Care Record was created.

  This class has the following attributes:

  1. Functional Condition (String)
  2. Effective Dates (EffectiveDateTime)
  3. Condition Status (String)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionalStatus()` Default constructor of Functional Status.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConditionStatus()` Returns the Status of Functional Condition.
    `EffectiveDateTime` | `getEffectiveDates()` Returns the Effective dates Functional Condition.
    `java.lang.String` | `getFunctionalCondition()` Returns the Functional Condition.
    `void` | `setConditionStatus(java.lang.String conditionStatus)` Sets the Status of Functional Condition.
    `void` | `setEffectiveDates(EffectiveDateTime effectiveDates)` Sets the Effective dates Functional Condition.
    `void` | `setFunctionalCondition(java.lang.String functionalCondition)` Sets the Functional Condition.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionalStatus

          public FunctionalStatus()

      Default constructor of Functional Status.

  - ### Method Detail

    - #### getFunctionalCondition

          public java.lang.String getFunctionalCondition()

      Returns the Functional Condition.
      Returns:
        the functionalCondition

    - #### setFunctionalCondition

          public void setFunctionalCondition(java.lang.String functionalCondition)

      Sets the Functional Condition.
      Parameters:
        `functionalCondition` - Specifies the Functional Condition.

    - #### getEffectiveDates

          public EffectiveDateTime getEffectiveDates()

      Returns the Effective dates Functional Condition.
      Returns:
        the effectiveDates

    - #### setEffectiveDates

          public void setEffectiveDates(EffectiveDateTime effectiveDates)

      Sets the Effective dates Functional Condition.
      Parameters:
        `effectiveDates` - Specifies the Effective dates Functional Condition.

    - #### getConditionStatus

          public java.lang.String getConditionStatus()

      Returns the Status of Functional Condition.
      Returns:
        the conditionStatus

    - #### setConditionStatus

          public void setConditionStatus(java.lang.String conditionStatus)

      Sets the Status of Functional Condition.
      Parameters:
        `conditionStatus` - Specifies the Status of Functional Condition.